|  | Home | Documentation | soap_mec_data Struct Reference updated Mon May 13 2024 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
soap_mec_data Struct Reference

The mecevp engine context data. More...

`#include <mecevp.h>`

## Public Attributes
int | alg
enum SOAP_MEC_STATE | state
EVP_CIPHER_CTX * | ctx
const EVP_CIPHER * | type
char | tag [16]
char | taglen
const EVP_PKEY * | pkey
unsigned char | ekey [EVP_MAX_KEY_LENGTH]
const unsigned char * | key
unsigned char | iv [EVP_MAX_IV_LENGTH]
int | keylen
char * | buf
size_t | bufidx
size_t | buflen
char * | rest
size_t | restidx
size_t | restlen
int | i
unsigned long | m
soap_mode | mode
int(* | ffiltersend )(struct soap *, const char **, size_t *)
int(* | ffilterrecv )(struct soap *, char *, size_t *, size_t)

## Detailed Description

The mecevp engine context data.

## Member Data Documentation

int soap_mec_data::alg

The algorithm used

char* soap_mec_data::buf

iv and stream buffer

size_t soap_mec_data::bufidx

current buffer index

size_t soap_mec_data::buflen

buffer max length

EVP_CIPHER_CTX* soap_mec_data::ctx

EVP_CIPHER_CTX context

unsigned char soap_mec_data::ekey[EVP_MAX_KEY_LENGTH]

ephemeral key

int(* soap_mec_data::ffilterrecv) (struct soap *, char *, size_t *, size_t)

int(* soap_mec_data::ffiltersend) (struct soap *, const char **, size_t *)

int soap_mec_data::i

base64 conversion

unsigned char soap_mec_data::iv[EVP_MAX_IV_LENGTH]

IV buffer

const unsigned char* soap_mec_data::key

secret key

int soap_mec_data::keylen

secret key length

unsigned long soap_mec_data::m

base64 conversion

soap_mode soap_mec_data::mode

const EVP_PKEY* soap_mec_data::pkey

private key for OpenInit

char* soap_mec_data::rest

rest-append buffer

size_t soap_mec_data::restidx

rest-append buffer index

size_t soap_mec_data::restlen

rest-append buffer max length

enum SOAP_MEC_STATE soap_mec_data::state

Decryption state

char soap_mec_data::tag[16]

GCM authentication tag buffer

char soap_mec_data::taglen

GCM authentication tag buffer length

const EVP_CIPHER* soap_mec_data::type

type for OpenInit/DecryptInit

The documentation for this struct was generated from the following file:

- mecevp.h